To: Jes Sorensen <Jes.Sorensen@cern.ch>
Cc: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: 2.1.120
References: <199809071342.PAA14776@valhall.cern.ch>
X-Yow: All of life is a blur of Republicans and meat!
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 10 Sep 1998 10:25:04 +0200
In-Reply-To: Jes Sorensen's message of "Mon, 7 Sep 1998 15:42:49 +0200 (MET DST)"
Sender: owner-linux-m68k@phil.uni-sb.de

Just a small patch to remove some warnings.

Andreas.

--- linux/arch/m68k/atari/stram.c.~1~	Thu Sep 10 10:13:24 1998
+++ linux/arch/m68k/atari/stram.c	Thu Sep 10 10:15:07 1998
@@ -273,7 +273,7 @@
 
 	/* determine whether kernel code resides in ST-RAM (then ST-RAM is the
 	 * first memory block at virtual 0x0) */
-	stram_start = phys_to_virt( 0 );
+	stram_start = (unsigned long)phys_to_virt(0);
 	kernel_in_stram = (stram_start == 0);
 
 	for( i = 0; i < m68k_num_memory; ++i ) {
@@ -1465,9 +1465,10 @@
 	for( p = alloc_list; p; p = p->next ) {
 		if (len + 50 >= PAGE_SIZE)
 			break;
-		PRINT_PROC( "0x%08lx-0x%08lx: %s (",
-					virt_to_phys(p->start),
-					virt_to_phys(p->start+p->size-1), p->owner );
+		PRINT_PROC("0x%08lx-0x%08lx: %s (",
+			   virt_to_phys((void *)p->start),
+			   virt_to_phys((void *)p->start+p->size-1),
+			   p->owner);
 		if (p->flags & BLOCK_STATIC)
 			PRINT_PROC( "static)\n" );
 		else if (p->flags & BLOCK_GFP)

-- 
Andreas Schwab                                      "And now for something
schwab@issan.informatik.uni-dortmund.de              completely different"
schwab@gnu.org
